Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77295 - incorrect error message
Summary: incorrect error message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: vorbis-tools
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-04 19:20 UTC by Chris Ricker
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-05-13 20:06:39 UTC


Attachments (Terms of Use)

Description Chris Ricker 2002-11-04 19:20:04 UTC
Running oggenc with the -b option (to specify bitrate) and forgetting the
bitrate results in a bogus error message.  Rather than something like:

ERROR:  No bitrate specified.  Use -h for help.

it responds with an incorrect "No input files specified".  For example:

[kaboom@verdande wav]$ oggenc -b 10_exit.wav 
OggEnc v1.0 (libvorbis 1.0)
(c) 2000-2002 Michael Smith <msmith@labyrinth.net.au>

ERROR: No input files specified. Use -h for help.
[kaboom@verdande wav]$ 

Compare that with the correct command line, below:

[kaboom@verdande wav]$ oggenc -b 320 10_exit.wav 
Opening with wav module: WAV file reader
Encoding "10_exit.wav" to 
         "10_exit.ogg" 
at approximate bitrate 320 kbps (VBR encoding enabled)
        [100.0%] [ 0m00s remaining] \

<snip>

it's the bitrate that's missing, not the input file....

Comment 1 Colin Walters 2004-05-13 20:06:39 UTC
A warning is now output that the specified bitrate is not recognized,
e.g.:

walters@nexus> oggenc -b /usr/share/sounds/question.wav              
                  /src/work/rpms/vorbis-tools
Warning: nominal bitrate "/usr/share/sounds/question.wav" not recognised
OggEnc v1.0.1 (libvorbis 1.0.1)
(c) 2000-2003 Michael Smith <msmith@xiph.org>
 
ERROR: No input files specified. Use -h for help.



Note You need to log in before you can comment on or make changes to this bug.